static babel_rec master[] =	
{	
  {none,"No name","xx",noaction,NULL},			
  {alchemy,"Alchemy","alc",input,read_alchemy},
  {amber_prep,"AMBER PREP","prep",input,read_amber_prep}, 
  {ball_and_stick,"Ball and Stick","bs",input,read_bs},
  {bgf,"MSI BGF","bgf",input,read_bgf},
  {biosym_car,"Biosym .CAR","car",input,read_biosym_car},
  {boogie,"Boogie","boog",input,read_boogie},
  {caccrt,"Cacao Cartesian","caccrt",input,read_caccrt},
  {cadpac,"Cambridge CADPAC","cadpac",input,read_cadpac},
  {charmm,"CHARMm","charmm",input,read_charmm},
  {chem3d1,"Chem3D Cartesian 1","c3d1",input,read_chem3d1},
  {chem3d2,"Chem3D Cartesian 2","c3d2",input,read_chem3d2},
  {csd_cssr,"CSD CSSR","cssr",input,read_csd_fractional},
  {csd_fdat,"CSD FDAT","fdat",input,read_fdat},
  {csd_gstat,"CSD GSTAT","gstat",input,read_csd},
  {dock,"Dock Database","dock",input,read_dock_database},
  {dock_pdb,"Dock PDB","dpdb",input,read_dock_pdb},
  {feature, "Feature","feat",input,read_feat},
  {free_fract,"Free Form Fractional","fract",input,read_fform_fract},
  {gamess_output,"GAMESS Output","gamout",input,read_gamess_output},
  {gaussian_input,"Gaussian Z-Matrix","gzmat",input,read_gau_zmatrix},
  {gaussian_output,"Gaussian 92 Output","gauout",input,read_gau_out},
  {gaussian_94,"Gaussian 94 Output","g94",input,read_gaussian_94},
  {gr96A,"GROMOS96 (A)","gr96A",input,read_gr96A},
  {gr96N,"GROMOS96 (nm)","gr96N",input,read_gr96N},
  {hyperchem_hin,"Hyperchem HIN","hin",input,read_hin},
  {isis,"MDL Isis SDF","sdf",input,read_isis},
  {m3d,"M3D","m3d",input,read_m3d},
  {mac_molecule,"Mac Molecule","macmol",input,read_mcmol},
  {macromodel,"Macromodel","macmod",input,read_macromodel},    
  {micro_world,"Micro World","micro",input,read_micro},
  {mm2_input,"MM2 Input","mm2in",input,read_mm2_input},
  {mm2_output,"MM2 Output","mm2out",input,read_mm2},
  {mm3,"MM3","mm3",input,read_mm3},
  {mmads,"MMADS","mmads",input,read_mmads},
  {molfile,"MDL MOLfile","mdl",input,read_mdl},
  {molin,"MOLIN","molen",input,read_molin},
  {mopac_cartesian,"Mopac Cartesian","mopcrt",input,read_mop_cart},
  {mopac_internal,"Mopac Internal","mopint",input,read_mopint},    
  {mopac_output,"Mopac Output","mopout",input,read_mopac_output},
  {pcmodel,"PC Model","pcmod",input,read_pcmodel},
  {pdb,"PDB","pdb",input,read_pdb},
  {psgvb_input,"PS-GVB Input","psin",input,read_psgvb_input},
  {psgvb_output,"PS-GVB Output","psout",input,read_psgvb_output},
  {quanta,"Quanta MSF","msf",input,read_quanta},
  {schakal,"Schakal","schakal",input,read_schakal},
  {shelx,"ShelX","shelx",input,read_shelx},
  {smiles,"SMILES","smiles",input,read_smiles},
  {spartan,"Spartan","spar",input,read_spartan},
  {spart_semi,"Spartan Semi-Empirical","semi",input,read_spartan_semiempirical}, 
  {spart_mm,"Spartan Mol. Mechanics","spmm",input,read_spartan_mol_mech},
  {sybyl_mol,"Sybyl Mol","mol",input,read_sybyl_mol},
  {sybyl_mol2,"Sybyl Mol2","mol2",input,read_sybyl},
  {wizard,"Conjure","wiz",input,read_wizard},
  {unixyz,"UniChem XYZ","unixyz",input,read_unichem},
  {viewmol,"Viewmol","viewmol",input,read_viewmol},
  {xyz,"XYZ","xyz",input,read_xyz},
  {xed,"XED","xed",input,read_xed},

  {diagnostics,"DIAGNOTICS","diag",output,output_all_formats},

  {alchemy,"Alchemy","alc",output,write_alchemy},
  {ball_and_stick,"Ball and Stick","bs",output,write_bs},
  {bgf,"BGF","bgf",output,write_bgf},
  {bmin_com,"Batchmin Command","bmin",output,write_bmin_com},
  {box,"DOCK 3.5 box","box",output,write_box},
  {caccrt,"Cacao Cartesian","caccrt",output,write_caccrt},
  {cacao_int,"Cacao Internal","cacint",output,write_cacao_internal},
  {cache_out,"CAChe MolStruct","cache",output,write_cache},
  {chem3d1,"Chem3D Cartesian 1","c3d1",output,write_chem3d1},
  {chem3d2,"Chem3D Cartesian 2","c3d2",output,write_chem3d2},
  {chemdraw,"ChemDraw Conn. Table","cdct",output,write_chem_draw},
  {dock,"Dock Database","dock",output,write_dock},
  {wizard,"Wizard","wiz",output,write_wizard},
  {conjure_tmplt,"Conjure Template","contmp",output,write_conjure_tmplt},
  {csd_cssr,"CSD CSSR","cssr",output,write_cssr},
  {dock_pdb,"Dock PDB","dpdb",output,write_dock_pdb},
  {feature, "Feature","feat",output,write_feat},
  {fenske_zmat,"Fenske-Hall ZMatrix","fhz",output,write_fenske_zmat},
  {gamess_input,"Gamess Input","gamin",output,write_gamess_input},
  {gaussian_cart,"Gaussian Cartesian","gcart",output,write_gaus_crt},
  {gaussian_input,"Gaussian Z-matrix","gzmat",output,write_gaussian},
  {gaussian_template,"Gaussian Z-matrix tmplt","gotmp",output,write_gaussian_template},
  {gr96A,"GROMOS96 (A)","gr96A",output,write_gr96A},
  {gr96N,"GROMOS96 (nm)","gr96N",output,write_gr96N},
  {hyperchem_hin,"Hyperchem HIN","hin",output,write_hin},
  {icon8,"Icon 8","icon",output,write_icon8},
  {idatm,"IDATM","idatm",output,write_idatm},
  {isis,"MDL Isis SDF","sdf",output,write_isis},
  {m3d,"M3D","m3d",output,write_m3d},
  {mac_molecule,"Mac Molecule","macmol",output,write_mcmol},
  {macromodel,"Macromodel","macmod",output,write_macromodel},    
  {micro_world,"Micro World","micro",output,write_micro},
  {mm2_input,"MM2 Input","mm2in",output,write_mm2_input},
  {mm2_output,"MM2 Ouput","mm2out",output,write_mm2},
  {mm3,"MM3","mm3",output,write_mm3},
  {mmads,"MMADS","mmads",output,write_mmads},
  {molfile,"MDL Molfile","mdl",output,write_molfile},
  {mol_inventor,"MolInventor","miv",output,write_mol_inventor},
  {mopac_cartesian,"Mopac Cartesian","mopcrt",output,write_mopac},
  {mopac_internal,"Mopac Internal","mopint",output,write_mopac_internal}, 
  {csr,"MSI Quanta CSR","csr",output,write_csr},
  {pcmodel,"PC Model","pcmod",output,write_pcmod},
  {pdb,"PDB","pdb",output,write_pdb},
  {psgvb_zmat,"PS-GVB Z-Matrix","psz",output,write_psgvb_zmat},
  {psgvb_cart,"PS-GVB Cartesian","psc",output,write_psgvb_cart},
  {report,"Report","report",output,print_report_file},
  {smiles,"SMILES","smiles",output,write_smiles},
  {spartan,"Spartan","spar",output,write_spartan},
  {sybyl_mol,"Sybyl Mol","mol",output,write_sybyl_mol},
  {sybyl_mol2,"Sybyl Mol2","mol2",output,write_sybyl},
  {maccs,"MDL Maccs","maccs",output,write_maccs},
  {torlist,"Torsion List","torlist",output,print_torsion_list},
  {tinker,"Tinker XYZ","tinker",output,write_tinker},
  {unixyz,"UniChem XYZ","unixyz",output,write_unichem},
  {viewmol,"Viewmol","viewmol",output,write_viewmol},
  {xyz,"XYZ","xyz",output,write_xyz},
  {xed,"XED","xed",output,write_xed,},
};











